| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
P33C_CCP_INSTANCE_s Struct Reference

`#include <common/p33c_pral/p33c_ccp.h>`

Collaboration diagram for P33C_CCP_INSTANCE_s:

## Data Fields
union {
struct tagCCP1CON1LBITS bits
uint16_t value
} | CCPxCON1L
union {
struct tagCCP1CON1HBITS bits
uint16_t value
} | CCPxCON1H
union {
struct tagCCP1CON2LBITS bits
uint16_t value
} | CCPxCON2L
union {
struct tagCCP1CON2HBITS bits
uint16_t value
} | CCPxCON2H
volatile | unsigned:16
union {
struct tagCCP1CON3HBITS bits
uint16_t value
} | CCPxCON3H
union {
struct tagCCP1STATLBITS bits
uint16_t value
} | CCPxSTATL
union {
struct {
volatile uint16_t CCPTMRL: 16
} bits
uint16_t value
} | CCPxTMRL
union {
struct {
volatile uint16_t CCPTMRH: 16
} bits
uint16_t value
} | CCPxTMRH
union {
struct {
volatile uint16_t CCPPRL: 16
} bits
uint16_t value
} | CCPxPRL
union {
struct {
volatile uint16_t CCPPRH: 16
} bits
uint16_t value
} | CCPxPRH
union {
struct {
volatile uint16_t CCPRAL: 16
} bits
uint16_t value
} | CCPxRAL
union {
struct {
volatile uint16_t CCPRBL: 16
} bits
uint16_t value
} | CCPxRBL
union {
struct {
volatile uint16_t CCPBUFL: 16
} bits
uint16_t value
} | CCPxBUFL
union {
struct {
volatile uint16_t CCPBUFH: 16
} bits
uint16_t value
} | CCPxBUFH

## Detailed Description

Definition at line 38 of file p33c_ccp.h.

## Field Documentation

## ◆ bits [1/14]

struct tagCCP1CON1HBITS bits

Definition at line 46 of file p33c_ccp.h.

## ◆ bits [2/14]

struct tagCCP1CON2LBITS bits

Definition at line 51 of file p33c_ccp.h.

## ◆ bits [3/14]

struct tagCCP1CON2HBITS bits

Definition at line 56 of file p33c_ccp.h.

## ◆ bits [4/14]

struct tagCCP1CON3HBITS bits

Definition at line 70 of file p33c_ccp.h.

## ◆ bits [5/14]

struct tagCCP1STATLBITS bits

Definition at line 75 of file p33c_ccp.h.

## ◆ bits [6/14]

struct { ... } bits

## ◆ bits [7/14]

struct { ... } bits

## ◆ bits [8/14]

struct { ... } bits

## ◆ bits [9/14]

struct { ... } bits

## ◆ bits [10/14]

struct { ... } bits

## ◆ bits [11/14]

struct { ... } bits

## ◆ bits [12/14]

struct tagCCP1CON1LBITS bits

Definition at line 41 of file p33c_ccp.h.

## ◆ bits [13/14]

struct { ... } bits

## ◆ bits [14/14]

struct { ... } bits

## ◆ CCPBUFH

volatile uint16_t CCPBUFH

Definition at line 136 of file p33c_ccp.h.

## ◆ CCPBUFL

volatile uint16_t CCPBUFL

Definition at line 129 of file p33c_ccp.h.

## ◆ CCPPRH

volatile uint16_t CCPPRH

Definition at line 104 of file p33c_ccp.h.

## ◆ CCPPRL

volatile uint16_t CCPPRL

Definition at line 97 of file p33c_ccp.h.

## ◆ CCPRAL

volatile uint16_t CCPRAL

Definition at line 111 of file p33c_ccp.h.

## ◆ CCPRBL

volatile uint16_t CCPRBL

Definition at line 120 of file p33c_ccp.h.

## ◆ CCPTMRH

volatile uint16_t CCPTMRH

Definition at line 90 of file p33c_ccp.h.

## ◆ CCPTMRL

volatile uint16_t CCPTMRL

Definition at line 83 of file p33c_ccp.h.

## ◆ CCPxBUFH

union { ... } CCPxBUFH

## ◆ CCPxBUFL

union { ... } CCPxBUFL

## ◆ CCPxCON1H

union { ... } CCPxCON1H

## ◆ CCPxCON1L

union { ... } CCPxCON1L

## ◆ CCPxCON2H

union { ... } CCPxCON2H

## ◆ CCPxCON2L

union { ... } CCPxCON2L

## ◆ CCPxCON3H

union { ... } CCPxCON3H

## ◆ CCPxPRH

union { ... } CCPxPRH

## ◆ CCPxPRL

union { ... } CCPxPRL

## ◆ CCPxRAL

union { ... } CCPxRAL

## ◆ CCPxRBL

union { ... } CCPxRBL

## ◆ CCPxSTATL

union { ... } CCPxSTATL

## ◆ CCPxTMRH

union { ... } CCPxTMRH

## ◆ CCPxTMRL

union { ... } CCPxTMRL

## ◆ unsigned

volatile unsigned

Definition at line 66 of file p33c_ccp.h.

## ◆ value

uint16_t value

Definition at line 42 of file p33c_ccp.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/common/p33c_pral/p33c_ccp.h